// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
var url = app.globalData.url
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '我的', leftArrow: false, useBar: true },
    src: '/image/fen.jpg',
    src3: '/image/huang.png',
    src4: '/image/zan.png',
    showMore: false,
    // 主体高度
    infoHeight: '',
    total: '4',
    //上传比分
    item: {
      id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '0', groupname2: '马尼拉组', fraction1: '0', site: '第一场', groupname1: '哈拉海组', week: '星期五', time: '13：00',
      state: '已结束', date: '01.15', start: '未开始'
    },
    //个人信息详情
    item1: {},
    //团队创建人-团队列表
    list: [],
    //个人用户-所在团队列表
    // list2: [],
    //头像
    icon: '',
    showModal: false,
  },
  // 跳转菜单
  tabPath(e) {
    let { route } = e.detail.detail;
    if (route) wx.redirectTo({ url: `/${route}` })
  },
  //展开
  listToggle: function () {
    this.setData({
      showMore: !this.data.showMore
    })
  },
  //修改个人信息
  modify: function () {
    wx.navigateTo({
      url: `/pages/information/index`,
    })
  },
  //上传比分
  upload: function () {
    wx.navigateTo({
      url: `/pages/score/index`,
    })
  },
  //创建团队
  create: function () {
    wx.navigateTo({
      url: `/pages/createTeam/index`,
    })
  },
  //团队创建人-团队详情
  //个人用户-团队详情
  ToDetails: function (e) {
    let id = e.currentTarget.dataset.id;
    let type = this.data.item1.type
    if (type == 1) {
      wx.navigateTo({
        url: `/pages/teamDetails/detail?id=` + id,
      })
    } else if (type == 2) {
      wx.navigateTo({
        url: `/pages/teamDetails/index?id=` + id,
      })
    }
  },

  //已上传图片
  Uploaded: function () {
    wx.navigateTo({
      url: `/pages/photo/index`,
    })
  },
  //修改密码
  change: function () {
    wx.navigateTo({
      url: `/pages/password/index`,
    })
  },
  //审核队员
  examine: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/auditTeam/index?id=` + id,
    })
  },
  //解散团队
  clickme: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/dissolution/detail?id=` + id,
    })
  },
  //退出登录
  tui() {
    wx.showModal({
      title: '',
      content: '是否确认退出登录',
      success(res) {
        if (res.confirm) {
          wx.removeStorage({
            key: 'token',
            success(res) {
              return wx.redirectTo({ url: '/pages/index/index', })
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  //团队创建人-比赛管理
  Administration: function (e) {
    var list = JSON.stringify(this.data.list[0])
    wx.navigateTo({
      url: `/pages/meMatch/index?list=${list}`,
    })
  },
  //管理员-比赛管理
  manage: function (e) {
    wx.navigateTo({
      url: `/pages/meMatch/detail`,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        //数据请求
        //用户详情
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/user/${res.data.id}`, //接口地址
          method: "get",//请求方法
          data: {},//请求参数
          header: {},
          success: res => {
            that.setData({ item1: res.data.data })
            let icon = res.data.data.icon[0];
            if (icon) this.setData({ icon: icon.url })
            else this.setData({ icon: '/image/tou.png' })
          },
          error: err => {
          }
        })
        let type = res.data.type
        if (type == 1) {
          //团队管理员-团队列表
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/team`, //接口地址
            method: "get",//请求方法
            data: {},//请求参数
            header: {},
            success: res => {
              that.setData({ list: res.data.data })
            },
            error: err => {
            }
          })
        } else if (type == 2) {
          //个人用户-所在团队列表
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/team/userteams`, //接口地址
            method: "get",//请求方法
            data: { user_id: res.data.id },//请求参数
            header: {},
            success: res => {
              console.log(res);
              that.setData({ list: res.data.data })
            },
            error: err => {
            }
          })
        }

      },
      fail: res => {
        wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },

  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },
  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },
  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})